module Organizai
  class Api
    
    attr_reader :token
    
    def initialize(token=nil,secret=nil)
      @token = OAuth::Token.new(token,secret)
      raise "You must install the initializer before using Organizaí. Run 'rails g organizai:install'." unless Organizai.configured?
    end
    
    def user(action,*options)
      existing_actions = [:create]
      raise "Undefined api call '#{action.to_s}' for user." unless existing_actions.include?(action)
      Organizai::User.send(action, *options)
    end
    
    def coupon(action,*options)
      existing_actions = [:create]
      raise "Undefined api call '#{action.to_s}' for coupon." unless existing_actions.include?(action)
      Organizai::Coupon.send(action, @token, *options)
    end
    
  end
end