module Organizai
  class Provider
    
    def self.request(method,resource,endpoint,data,token=nil)
      
      formatted_uri  = "#{Organizai.protocol}://#{HOST[Organizai.api_env]}#{endpoint}.#{Organizai.format}"
      
      formatted_data = case Organizai.format
        when :json
          ActiveSupport::JSON.encode(data)
        when :xml
          data.to_xml :root => resource
        end
        
      current_consumer = Organizai.current_consumer
      oauth_consumer = OAuth::Consumer.new(current_consumer.key, current_consumer.secret)
      response = oauth_consumer.request(method,formatted_uri,token,{},{resource => formatted_data})
      
      response_object = Organizai::Response.new(response,Organizai.format)
      
    end
    
  end
end