module Organizai
  class Response
    
    attr_reader :http, :format, :error, :object
    
    def initialize(http_response,format)
      @http_response = http_response
      @format        = format
      @error         = http_response.code != "200"
      set_response_object
    end
    
    def error?
      @error
    end
    
    def success?
      !error?
    end
    
    private
    
    def set_response_object
      @object = case @format
      when :json
        ActiveSupport::JSON.decode(@http_response.body)
      when :xml
        Hash.from_xml(@http_response.body)['response']
      end.symbolize_keys!  
    end
    
    
  end
end